server:
  rundir: "/tmp"
  user: "knot:knot"
  listen: "0.0.0.0@53"
  listen: "::@53"
database:
  storage: "/etc/knot"
statistics:
  timer: 60
acl:
- id: "update_acl"
{% if ansible_ekumen is defined %}
  address: [10.13.12.0/24,fd00:acab:{{ ansible_ekumen.macaddress | regex_replace(':') | regex_replace('([a-f0-9]{4})', '\\1:') }}:/80]
{% endif %}
  action: "update"
  update-type: [AAAA]
{% if (groups.sutty_email is defined) and groups.sutty_email %}
- id: "domainkey"
  address: [{% for node in groups.sutty_email %}{{ lookup('dig', 'opendkim.' + node, '@' + node, qtype='AAAA', fail_on_error=true) }}{% if not loop.last %},{% endif %}{% endfor %}]
  action: "update"
  update-type: [TXT]
{% endif %}
- id: "proxy_acl"
  action: "update"
  update-type: [A, NS, MX, TXT, SPF]
  address: [5.161.236.18]
remote:
- id: "suttyns"
  address: "127.0.0.1@53535"
- id: "certbot"
  address: "{{ certbot_container_address }}"
mod-dnsproxy:
- id: "suttyns"
  remote: "suttyns"
  fallback: true
  catch-nxdomain: true
- id: "certbot"
  remote: "certbot"
  fallback: false
mod-rrl:
- id: "default"
  rate-limit: 200
mod-stats:
- id: "default"
  edns-presence: true
  flag-presence: true
  request-edns-option: true
  response-edns-option: true
  reply-nodata: true
  query-type: true
  query-size: true
  reply-size: true
template:
- id: "default"
  storage: "/var/lib/knot"
  file: "%s.zone"
  global-module: "mod-cookies"
  global-module: "mod-stats/default"
  global-module: "mod-rrl/default"
zone:
- domain: "{{ sutty }}"
  module: "mod-dnsproxy/suttyns"
- domain: "_acme-challenge.{{ sutty }}"
  module: "mod-dnsproxy/certbot"
- domain: "{{ inventory_hostname }}"
  acl: "update_acl"
{% if (groups.sutty_email is defined) and groups.sutty_email %}
- domain: "_domainkey.{{ sutty }}"
  acl: "domainkey"
{% endif %}
{% for domain in groups.sutty_domains %}
- domain: "{{ domain }}"
{% endfor %}
{% for domain in groups.sutty_proxied_domains %}
- domain: "{{ domain }}"
  acl: "proxy_acl"
{% endfor %}
